## debian-edu-doc 0.9.20071204

=== Makefile ===
SRCDIR  := $(CURDIR)/documentation

DESTDIR =
DESTPATH = /usr/share/doc/debian-edu-doc

all: build
#
# Build release manual
#
	$(MAKE) -C $(SRCDIR)/release-manual

get-orig-source:
	# update release-manual
	$(MAKE) -C documentation/release-manual update
	# get itil document
	cd documentation/norwegian/ && ./get_itil

build:
	#
	# Build ITIL book
	#
	dblatex -T simple -o $(SRCDIR)/norwegian/itil.pdf $(SRCDIR)/norwegian/itil.xml
	-openjade -t sgml -i html -E 10000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(SRCDIR)/norwegian/itil.xml > $(SRCDIR)/norwegian/itil.html

install:
	#
	# Install ITIL book
	#
	install -d $(DESTDIR)$(DESTPATH)/nb/itil
	install -m 644 $(SRCDIR)/norwegian/itil.pdf $(SRCDIR)/norwegian/itil.html $(DESTDIR)$(DESTPATH)/nb/itil 
	#
	# Install release manual
	#
	$(MAKE) -C $(SRCDIR)/release-manual install DESTDIR="$(DESTDIR)"



dist-clean: clean
	rm $(SRCDIR)/norwegian/itil.pdf $(SRCDIR)/norwegian/itil.html -f

clean:
	$(MAKE) -C documentation/release-manual clean

=== documentation/release-manual/Makefile ===
DESTDIR=
DESTPATH = /usr/share/doc/debian-edu-doc
LANGUAGES = `find . -name "release-manual.*.po" | sed -e "s/.\/release-manual.//" -e "s/.po//"`

all: build
build:
	# create localized xml files
	for i in release-manual.*.po ; do { \
	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m release-manual.xml -p $$i -l $${i%.po}.xml ; \
	} done

	# Ignore errors because the docbook xml is broken
	#
	# build the english html version
	-openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl release-manual.xml > release-manual.en.html
	# Ignore errors because the docbook xml is broken
	#
	# build the other html versions
	-for f in $(LANGUAGES) ; do \
		openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl release-manual.$$f.xml > release-manual.$$f.html ; \
	done
	# add utf8 content-type header to html versions
	for f in release-manual.*.html ; do \
		sed -i "s%><TITLE%><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><TITLE%" $$f ; \
	done
update:
	./update_translations # calls ./get-release-manual

status:
	@for f in *.po ; do \
		echo -n "$$f: "; \
		msgfmt --statistics $$f -o /dev/null ; \
	done


install: build
	# FIXME: clean this up once the arkitektur document is not build seperatly anymore 
	# en needs to be first
	for f in en $(LANGUAGES) da nl pt_BR ; do \
		mkdir -p $(DESTDIR)$(DESTPATH)/$$f ; \
		if [ -e release-manual.$$f.html ] ; then \
			cp release-manual.$$f.html $(DESTDIR)$(DESTPATH)/$$f/release-manual.html ; \
			if [ "$$f" = "en" ] ; then \
			  mkdir $(DESTDIR)$(DESTPATH)/$$f/images/ ; \
			  find images -maxdepth 1 -type f -exec cp \{\} $(DESTDIR)$(DESTPATH)/$$f/images/ \; ; \
			  dblatex -T db2latex -p release-manual.xsl -o $(DESTDIR)$(DESTPATH)/$$f/release-manual.pdf release-manual.xml ; \
			else \
			  if [ -d images/$$f ] ; then \
			  	mkdir $(DESTDIR)$(DESTPATH)/$$f/images ; \
			  	cd images ; \
			  	for i in *.* ; do \
					if [ -e $$f/$$i ] ; then \
						cp -v $$f/$$i $(DESTDIR)$(DESTPATH)/$$f/images/ ; \
					else \
						ln -sf ../../en/images/$$i $(DESTDIR)$(DESTPATH)/$$f/images/$$i ; \
					fi ; done ; \
			  	cd .. ; \
			  else \
			    ln -sf ../en/images $(DESTDIR)$(DESTPATH)/$$f/images ; \
			  fi ; \
			  mv images images_tmp_away ; dblatex -I $(DESTDIR)$(DESTPATH)/$$f -I $(DESTDIR)$(DESTPATH)/en -T db2latex -p release-manual.xsl -o $(DESTDIR)$(DESTPATH)/$$f/release-manual.pdf release-manual.$$f.xml ; mv images_tmp_away images ; \
			fi ; \
		else \
			ln -sf ../en/release-manual.pdf $(DESTDIR)$(DESTPATH)/$$f/release-manual.pdf ; \
			ln -sf ../en/release-manual.html $(DESTDIR)$(DESTPATH)/$$f/release-manual.html ; \
		        ln -sf ../en/images $(DESTDIR)$(DESTPATH)/$$f/images ; \
		fi ; \
	done 		
	
clean:
	rm -f *.pdf
	rm -f *.html
	rm -f release-manual.*.xml

=== debian/changelog ===
debian-edu-doc (0.9.20071204) unstable; urgency=low

  * release-manual:
    * updated source from the wiki
    * updated italian translation by Claudio Carboncini
    * updated german translation by Jürgen Leibner

 -- Holger Levsen <holger@debian.org>  Tue,  4 Dec 2007 09:44:58 +0100

debian-edu-doc (0.9.20071203) unstable; urgency=low

  * release-manual:
    * updated sources from the wiki
    * updated German and Bokmål translations, thanks to Jürgen Leibner and
      Håvard Korsvoll

 -- Holger Levsen <holger@debian.org>  Sat,  1 Dec 2007 02:12:18 +0100

debian-edu-doc (0.9.20071128) unstable; urgency=low

  * release-manual: 
    * fix a bug that made the pdfs of languages without localized images to 
      have no images at all
    * updated source from the wiki

 -- Holger Levsen <holger@debian.org>  Wed, 28 Nov 2007 10:49:47 +0100

debian-edu-doc (0.9.20071127) unstable; urgency=low

  * release-manual:
    * updated source from the wiki (describes a workaround for
      #1270)
    * add localized german images for the installation chapter
    * fix a bug to include localized images in the pdf again
    * updated German and Bokmål translations, thanks to Jürgen and Håvard
  * debian/rules: remove useless cleanups

 -- Holger Levsen <holger@debian.org>  Tue, 27 Nov 2007 22:30:14 +0100

debian-edu-doc (0.9.20071124) unstable; urgency=low

  * release-manual:
    * updated source from the wiki
    * fully translated to italian by Claudio Carboncini
  * debian/control: use the official spelling of Debian Edu

 -- Holger Levsen <holger@debian.org>  Sat, 24 Nov 2007 13:56:52 +0100

debian-edu-doc (0.9.20071122) unstable; urgency=low

  * remove build-depends on tth, which is non-free, which is only used by the
    obsolete IKT book and the obsolete arkitektur document
  * remove IKT book
  * remove arkitektur document (standalone version, it's still included in the
    release-manual)
  * remove kurs document
  * update README and copyright to reflect this
  * release-manual:
    * updated source from the wiki
    * add -o tags="<listitem> <emphasis>" to po4a calls, to include all listitems
      and emphasis tags into the pot file, thanks to Nicolas François
    * updated german translation, thanks to Jürgen Leibner
    * fix bug that prevented non-localized images from being linked properly

 -- Holger Levsen <holger@debian.org>  Thu, 22 Nov 2007 20:25:51 +0100

debian-edu-doc (0.9.20071121) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * fixed bashism

  [ Holger Levsen ]
  * build arkitektur document from source - so now finally all shipped
    documents are build from source, and none are taken from svn.
  * release-manual: updated source from the wiki
  * updated README, debian/copyright and the todo file
   
 -- Holger Levsen <holger@debian.org>  Wed, 21 Nov 2007 16:46:29 +0100

debian-edu-doc (0.8.20071118) unstable; urgency=low

  * build html version of itil book
  * new script, get_itil (based on get_release-manual) to download the itil
    book as docbook and modify it like the release manual, ie add id=name to
    the section tags
  * release manual: 
    * provide links in all shipped languages
    * README: rewritten to be more verbose and clear
    * set DEBIAN_EDU_DOC_BUILDDATE as date and note as date+time
    * updated source from the wiki
    * added italian translation thanks to Claudio Carboncini
  * arkitektur and kurs document: remove cruft from the source package
  * arkitektur document: don't ship txt version, dont ship png also as pdf

 -- Holger Levsen <holger@debian.org>  Mon, 19 Nov 2007 13:07:53 +0000

debian-edu-doc (0.8.20071115) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * The clean build target should call the makefile dist-clean target to
    remove everything not included in the distribution tarball.

  [ Holger Levsen ]
  * Updated release manual source from the wiki.
  * release-manual/images/: prepare images per language
  * release-manual/Makefile: 
     - install localized images if they exist, otherwise
       link to the english images. (for pdf and html version)
     - use release-manual.xsl to define the look of the pdf
  * release-manual/build_pdfs: removed, now done by Makefile
  * release-manual/README: improve the notes for translators
  * release-manual/get-release-manual: rewritten, now fetches chapter by
    chapter and adds id paramters to the section tags, so that links work

 -- Holger Levsen <holger@debian.org>  Thu, 15 Nov 2007 13:49:35 +0100

debian-edu-doc (0.7.20071108) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Rewrite build system, introduce a toplevel makefile.  Move release
    manual and ITIL document rules to this makefile.
  * Release-manual: update the .pot file too

  [ Holger Levsen ]
  * Updated ITIL book and release manual source from the wiki.
  * don't ship .svn directories of release-manual/images in binary-package
  * Updated README and README.release-manual-translations
  * release-manual.xml: cleaner and better formatted
  * release-manual: include smile.png and alert.png, even though not
    automatically via get_images yet

  [ Håvard Korsvoll ]
  * Start on Norwegian Bokmål translation of the release notes.

 -- Holger Levsen <holger@debian.org>  Fri,  9 Nov 2007 02:09:20 +0100

debian-edu-doc (0.7.20071028) unstable; urgency=low

  [ Holger Levsen ]
  * build ikt book from source. For the norwegian version also ship the
    bugrap_howto, ldap_admin and Rammekrav
  * added tth and lyx to Build-Depends-Indep to be able to build the ikt book
  * debian/rules and copyright: updated checkout date for the documents from svn
  * release-manual.html: call openjade directly to allow max. 1000 errors
  * release-manual: only create versions for which translations exist

  [ Roland F.Teichert ]
  * More german translation of the release manual.

 -- Holger Levsen <holger@debian.org>  Sun, 28 Oct 2007 12:03:04 +0100

debian-edu-doc (0.7.20071025) unstable; urgency=low



=== debian/control ===
Source: debian-edu-doc
Section: doc
Priority: optional
Build-Depends: debhelper (>= 5) 
Build-Depends-Indep: docbook-utils, poxml, ldp-docbook-xsl, dblatex, po4a, dia | dia-gnome, imagemagick, lyx
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Olsen <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>
Standards-Version: 3.7.2

Package: debian-edu-doc
Section: doc
Priority: optional
Architecture: all
Description: Documentation from the Debian Edu project
 All documentation for the Debian Edu / Skolelinux project is supposed to be 
 in this package.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR := $(CURDIR)/debian/debian-edu-doc
SRCDIR  := $(CURDIR)/documentation
DESTPATH = /usr/share/doc/debian-edu-doc

SVNBASE=svn://svn.skolelinux.org/skolelinux/trunk

get-orig-source:
	$(MAKE) get-orig-source
	
dist-clean: clean

clean:
	$(MAKE) dist-clean
	rm -f build-stamp
	rm -rf $(DESTDIR)
	dh_clean

build:	build-stamp
	$(MAKE)

build-stamp:
	touch build-stamp

binary: binary-arch binary-indep

binary-arch:

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -d $(DESTDIR)$(DESTPATH)

	#
	# build ITIL book and release-manual
	#
	$(MAKE) install DESTDIR="$(DESTDIR)"


binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs 
	cp $(SRCDIR)/release-manual/README $(DESTDIR)/$(DESTPATH)/README.release-manual-translations
	dh_installchangelogs
	dh_link
	dh_compress -X.pdf -X.html
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

## debian-edu-doc 1.0~20080515

=== debian/changelog ===
debian-edu-doc (1.0~20080515) unstable; urgency=low

  * release-manual:
    - updated Italian translation thanks to Claudio Carboncini

 -- Holger Levsen <holger@debian.org>  Thu, 15 May 2008 21:11:18 +0200

debian-edu-doc (1.0~20080415) terra; urgency=low

  * release-manual:
    - .xml source updated from the wiki on April 15th
    - updated Italian translation thanks to Claudio Carboncini
    - updated German translation thanks to Kai J. G. Hatje

 -- Holger Levsen <holger@debian.org>  Fri, 18 Apr 2008 16:46:21 +0200

debian-edu-doc (1.0~20080315) terra; urgency=low

  * release manual: updated source from the wiki
  * release manual: updated Bokmål and Italian translations

 -- Holger Levsen <holger@debian.org>  Sat, 15 Mar 2008 12:08:01 +0100

debian-edu-doc (1.0~20080215) terra; urgency=low

  * release-manual:
    - updated source from the wiki
    - updated german translation

 -- Holger Levsen <holger@debian.org>  Fri, 15 Feb 2008 16:16:58 +0100

debian-edu-doc (1.0~20080206) terra; urgency=low

  * updated README.translations to specify where to send .po files
  * updated German, Bokmål and Italian translations thanks to Roland Teichert,
    Ludger Sicking, Kai J. G. Hatje, Håvard Korsvoll and Claudio Carboncini.
  * updated release-manual from the wiki at the new location at
    wiki.debian.org/DebianEdu/Documentation/Etch and updated all scripts and
    documentation to reflect this
  * bumped standards version to 3.7.3, no changes requiered
  * added Vcs-* and Homepage fields to debian/control
  * correct debian/copyright, the release manual is GPL2 or any later version,
    added some more authors of the release manual and its translations.

 -- Holger Levsen <holger@debian.org>  Wed,  6 Feb 2008 14:47:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,10 @@
 Build-Depends-Indep: docbook-utils, poxml, ldp-docbook-xsl, dblatex, po4a, dia | dia-gnome, imagemagick, lyx
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Olsen <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
+Homepage: http://wiki.debian.org/DebianEdu/Documentation/Etch
+Vcs-Svn: svn://svn.debian.org/svn/debian-edu/trunk/src/debian-edu-doc/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-doc/
 
 Package: debian-edu-doc
 Section: doc
@@ -13,5 +16,5 @@
 Architecture: all
 Description: Documentation from the Debian Edu project
  All documentation for the Debian Edu / Skolelinux project is supposed to be 
- in this package.
+ included in this package.

## debian-edu-doc 1.2~20080715

=== Makefile ===
SRCDIR  := $(CURDIR)/documentation
DESTDIR =

all: build

get-orig-source:
	$(MAKE) -C $(SRCDIR)/release-manual update
	$(MAKE) -C $(SRCDIR)/rosegarden update
	$(MAKE) -C $(SRCDIR)/norwegian update

status:
	$(MAKE) -C $(SRCDIR)/release-manual status
	$(MAKE) -C $(SRCDIR)/rosegarden status
	# the itil document has not been translated yet.

build:
	$(MAKE) -C $(SRCDIR)/release-manual build
	$(MAKE) -C $(SRCDIR)/rosegarden build
	$(MAKE) -C $(SRCDIR)/norwegian build

install:
	$(MAKE) -C $(SRCDIR)/release-manual install
	$(MAKE) -C $(SRCDIR)/rosegarden install
	$(MAKE) -C $(SRCDIR)/norwegian install

dist-clean: clean
	$(MAKE) -C $(SRCDIR)/release-manual dist-clean
	$(MAKE) -C $(SRCDIR)/rosegarden dist-clean
	$(MAKE) -C $(SRCDIR)/norwegian dist-clean

clean:
	$(MAKE) -C $(SRCDIR)/release-manual clean
	$(MAKE) -C $(SRCDIR)/rosegarden clean
	$(MAKE) -C $(SRCDIR)/norwegian clean

=== documentation/release-manual/Makefile ===
DESTDIR=
DESTPATH = /usr/share/doc
LANGUAGES = `find . -name "release-manual.*.po" | sed -e "s/.\/release-manual.//" -e "s/.po//"`

all: build

update:
	./get_release-manual
	./update_translations

status:
	@for f in *.po ; do \
		echo -n "$$f: "; \
		msgfmt --statistics $$f -o /dev/null ; \
	done

build:
	# create localized xml files
	for i in release-manual.*.po ; do { \
	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m release-manual.xml -p $$i -l $${i%.po}.xml ; \
	} done

	# Ignore errors because the docbook xml is broken
	#
	# build the english html version
	-openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl release-manual.xml > release-manual.en.html
	# Ignore errors because the docbook xml is broken
	#
	# build the other html versions
	-for f in $(LANGUAGES) ; do \
		openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl release-manual.$$f.xml > release-manual.$$f.html ; \
	done
	# add utf8 content-type header to html versions
	for f in release-manual.*.html ; do \
		sed -i "s%><TITLE%><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><TITLE%" $$f ; \
	done

install: build
	# en needs to be first
	# FIXME: en is build twice...
	for f in en $(LANGUAGES) ; do \
		export LANGPATH=$(DESTDIR)/debian-edu-doc-$$f/$(DESTPATH)/debian-edu-doc-$$f ; \
		mkdir -p $$LANGPATH ; \
		if [ -e release-manual.$$f.html ] ; then \
			cp release-manual.$$f.html $$LANGPATH/release-manual.html ; \
			if [ "$$f" = "en" ] ; then \
			  mkdir $$LANGPATH/images/ ; \
			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
			  dblatex -T db2latex -p release-manual.xsl -o $$LANGPATH/release-manual.pdf release-manual.xml ; \
			else \
			  if [ -d images/$$f ] ; then \
			  	mkdir $$LANGPATH/images ; \
			  	cd images ; \
			  	for i in *.* ; do \
					if [ -e $$f/$$i ] ; then \
						cp -v $$f/$$i $$LANGPATH/images/ ; \
					else \
						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
					fi ; done ; \
			  	cd .. ; \
			  else \
			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
			  fi ; \
			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p release-manual.xsl -o $$LANGPATH/release-manual.pdf release-manual.$$f.xml ; mv images_tmp_away images ; \
			fi ; \
		fi ; \
	done 		

clean:
	rm -f *.pdf
	rm -f *.html
	rm -f release-manual.*.xml

dist-clean:	clean

=== documentation/rosegarden/Makefile ===
DESTDIR=
DESTPATH = /usr/share/doc
LANGUAGES = `find . -name "rosegarden-manual.*.po" | sed -e "s/.\/rosegarden-manual.//" -e "s/.po//"`

all: build

update:
	./get_rosegarden-manual
	./update_translations

status:
	@for f in *.po ; do \
		echo -n "$$f: "; \
		msgfmt --statistics $$f -o /dev/null ; \
	done

build:
	# create localized xml files
	for i in rosegarden-manual.*.po ; do { \
	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m rosegarden-manual.xml -p $$i -l $${i%.po}.xml ; \
	} done

	# Ignore errors because the docbook xml is broken
	#
	# build the english html version
	-openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl rosegarden-manual.xml > rosegarden-manual.en.html
	# Ignore errors because the docbook xml is broken
	#
	# build the other html versions
	-for f in $(LANGUAGES) ; do \
		openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl rosegarden-manual.$$f.xml > rosegarden-manual.$$f.html ; \
	done
	# add utf8 content-type header to html versions
	for f in rosegarden-manual.*.html ; do \
		sed -i "s%><TITLE%><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><TITLE%" $$f ; \
	done

install: build
	# en needs to be first
	for f in en $(LANGUAGES) ; do \
		export LANGPATH=$(DESTDIR)/debian-edu-doc-$$f/$(DESTPATH)/debian-edu-doc-$$f ; \
		mkdir -p $$LANGPATH ; \
		if [ -e rosegarden-manual.$$f.html ] ; then \
			cp rosegarden-manual.$$f.html $$LANGPATH/rosegarden-manual.html ; \
			if [ "$$f" = "en" ] ; then \
			  mkdir $$LANGPATH/images/ ; \
			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
			  dblatex -T db2latex -p rosegarden-manual.xsl -o $$LANGPATH/rosegarden-manual.pdf rosegarden-manual.xml ; \
			else \
			  if [ -d images/$$f ] ; then \
			  	mkdir $$LANGPATH/images ; \
			  	cd images ; \
			  	for i in *.* ; do \
					if [ -e $$f/$$i ] ; then \
						cp -v $$f/$$i $$LANGPATH/images/ ; \
					else \
						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
					fi ; done ; \
			  	cd .. ; \
			  else \
			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
			  fi ; \
			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p rosegarden-manual.xsl -o $$LANGPATH/rosegarden-manual.pdf rosegarden-manual.$$f.xml ; mv images_tmp_away images ; \
			fi ; \
		fi ; \
	done 		

clean:
	rm -f *.pdf
	rm -f *.html
	rm -f rosegarden-manual.*.xml

dist-clean:	clean

=== debian/changelog ===
debian-edu-doc (1.2~20080715) unstable; urgency=low

  * Add rosegarden manual by Alf Tonny Bät to debian-edu-doc-en and
    debian-edu-doc-nb.
  * release-manual:
    - update .xml source from the wiki.
    - update Italian translation thanks to Claudio Carboncini.
  * Use http://wiki.debian.org/Proposals/CopyrightFormat for debian/copyright.

 -- Holger Levsen <holger@debian.org>  Sun, 20 Jul 2008 19:06:47 +0000

debian-edu-doc (1.1~20080706) terra; urgency=low

  * release-manual:
    - update .xml source from the wiki.
    - update Italian translation thanks to Claudio Carboncini.
    - include new French translation by Christophe Masson, merci bien!
      (Closes: #487297)
    - update_translations doesn't call get_release-manual anymore.
  * Bump standards-version to 3.8.0, split README into README and 
    README.source.
  * Update README and README.release-manual-translations.
  * Split into language specific binary packages. A debian-edu-doc binary
    package is still provided to ease upgrades from etch and can be removed
    after lenny. All language specific packages depend on debian-edu-doc-en
    because no language has translated versions of all images. 
    (Closes: #474453)
  * Use xmllint in the get-orig-source target to get cleaner xml.

 -- Holger Levsen <holger@debian.org>  Sun, 06 Jul 2008 15:52:18 +0200

debian-edu-doc (1.0~20080515) terra; urgency=low

  * release-manual:
    - updated Italian translation thanks to Claudio Carboncini

 -- Holger Levsen <holger@debian.org>  Thu, 15 May 2008 21:11:18 +0200

=== debian/control ===
Source: debian-edu-doc
Section: doc
Priority: optional
Build-Depends: debhelper (>= 5) 
Build-Depends-Indep: docbook-utils, poxml, ldp-docbook-xsl, dblatex, po4a, dia | dia-gnome, imagemagick, lyx
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Olsen <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>
Standards-Version: 3.8.0
Homepage: http://wiki.debian.org/DebianEdu/Documentation/Etch
Vcs-Svn: svn://svn.debian.org/svn/debian-edu/trunk/src/debian-edu-doc/
Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-doc/

Package: debian-edu-doc
Section: doc
Priority: optional
Depends: debian-edu-doc-en, debian-edu-doc-de, debian-edu-doc-es, debian-edu-doc-nb, debian-edu-doc-it, debian-edu-doc-fr
Architecture: all
Description: Documentation from the Debian Edu project (transitional package)
 This metapackage depends on all language specific documentation packages from
 the Debian Edu / Skolelinux project.
 .
 Debian Edu is a Debian project to make the best distribution for educational
 purposes. Skolelinux is the name of the Custom Debian Distribution which is
 produced by the Debian Edu project.
 .
 This is a transitional dummy package to ensure clean upgrades from
 etch to lenny. It can be safely removed after the upgrade.

Package: debian-edu-doc-en
Section: doc
Priority: optional
Architecture: all
Description: English documentation from the Debian Edu project
 The English version of the release manual from the Debian Edu / Skolelinux
 project is included in this package, as well as the rosegarden manual.
 .
 Debian Edu is a Debian project to make the best distribution for educational
 purposes. Skolelinux is the name of the Custom Debian Distribution which is
 produced by the Debian Edu project.
 
Package: debian-edu-doc-de
Section: doc
Priority: optional
Depends: debian-edu-doc-en
Architecture: all
Description: German documentation from the Debian Edu project
 The German version of the release manual from the Debian Edu / Skolelinux
 project is included in this package.
 .
 Debian Edu is a Debian project to make the best distribution for educational
 purposes. Skolelinux is the name of the Custom Debian Distribution which is
 produced by the Debian Edu project.
 
Package: debian-edu-doc-es
Section: doc
Priority: optional
Depends: debian-edu-doc-en
Architecture: all
Description: Spanish documentation from the Debian Edu project
 The Spanish version of the release manual from the Debian Edu / Skolelinux
 project is included in this package.
 .
 Debian Edu is a Debian project to make the best distribution for educational
 purposes. Skolelinux is the name of the Custom Debian Distribution which is
 produced by the Debian Edu project.

Package: debian-edu-doc-nb
Section: doc
Priority: optional
Depends: debian-edu-doc-en
Architecture: all
Description: Bokmal documentation from the Debian Edu project
 The Bokmal version of the release manual from the Debian Edu / Skolelinux
 project is included in this package, as well as the ITIL documentation and the
 rosegarden manual.
 .
 Debian Edu is a Debian project to make the best distribution for educational
 purposes. Skolelinux is the name of the Custom Debian Distribution which is
 produced by the Debian Edu project.

Package: debian-edu-doc-it
Section: doc
Priority: optional
Depends: debian-edu-doc-en
Architecture: all
Description: Italian documentation from the Debian Edu project
 The Italian version of the release manual from the Debian Edu / Skolelinux
 project is included in this package.
 .
 Debian Edu is a Debian project to make the best distribution for educational
 purposes. Skolelinux is the name of the Custom Debian Distribution which is
 produced by the Debian Edu project.

Package: debian-edu-doc-fr
Section: doc
Priority: optional
Depends: debian-edu-doc-en
Architecture: all
Description: French documentation from the Debian Edu project
 The French version of the release manual from the Debian Edu / Skolelinux
 project is included in this package.
 .
 Debian Edu is a Debian project to make the best distribution for educational
 purposes. Skolelinux is the name of the Custom Debian Distribution which is
 produced by the Debian Edu project.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR := $(CURDIR)/debian
SRCDIR  := $(CURDIR)/documentation
DESTPATH = usr/share/doc/debian-edu-doc

get-orig-source:
	$(MAKE) get-orig-source
	
dist-clean: clean

clean:
	$(MAKE) dist-clean
	rm -f build-stamp
	rm -rf $(DESTDIR)/debian-edu-doc-?? $(DESTDIR)/debian-edu-doc
	dh_clean

build:	build-stamp
	$(MAKE)

build-stamp:
	touch build-stamp

binary: binary-arch binary-indep

binary-arch:

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	#
	# build ITIL book, release-manual and rosegarden-manual
	#
	$(MAKE) install DESTDIR="$(DESTDIR)"

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs 
	dh_installdocs -A documentation/release-manual/README.release-manual-translations debian/README
	# FIXME: add README.rosegarden-manual-translations too
	dh_installchangelogs
	dh_link
	dh_compress -X.pdf -X.html
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

## debian-edu-doc 1.3~20090610~5.0.1+edu0~alpha

=== documentation/audacity/Makefile ===
#
# configuration here:
#
url=http://wiki.debian.org/DebianEdu/Documentation/Manuals/Audacity/
name=audacity-manual
DEBIAN_EDU_DOC_TITLE="Debian Edu / Skolelinux Audacity manual"
path1=DebianEdu/Documentation/Manuals/Audacity
path2='\/DebianEdu\/Documentation\/Manuals\/'
export 
#
# no configuration below 
#
DESTDIR=
DESTPATH = /usr/share/doc
LANGUAGES = `find . -name "$(name).*.po" | sed -e "s/.\/$(name).//" -e "s/.po//"`

all: build

update:
	../scripts/get_manual
	../scripts/update_translations

status:
	@for f in *.po ; do \
		echo -n "$$f: "; \
		LANG=C msgfmt --statistics $$f -o /dev/null ; \
	done
	@cat fixme-status.txt

build:
	# create localized xml files
	-for i in $(name).*.po ; do { \
	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m $(name).xml -p $$i -l $${i%.po}.xml ; \
	} done

	# Ignore errors because the docbook xml is broken
	#
	# build the english html version
	-openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).xml > $(name).en.html
	# Ignore errors because the docbook xml is broken
	#
	# build the other html versions
	-for f in $(LANGUAGES) ; do \
		openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).$$f.xml > $(name).$$f.html ; \
	done
	# add utf8 content-type header to html versions
	for f in $(name).*.html ; do \
		sed -i "s%><TITLE%><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><TITLE%" $$f ; \
	done

install: build
	# en needs to be first
	# FIXME: en is build twice...
	for f in en $(LANGUAGES) ; do \
		export LANGPATH=$(DESTDIR)/debian-edu-doc-$$f/$(DESTPATH)/debian-edu-doc-$$f ; \
		mkdir -p $$LANGPATH ; \
		if [ -e $(name).$$f.html ] ; then \
			cp $(name).$$f.html $$LANGPATH/$(name).html ; \
			if [ "$$f" = "en" ] ; then \
			  mkdir $$LANGPATH/images/ ; \
			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
			  dblatex -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).xml ; \
			else \
			  if [ -d images/$$f ] ; then \
			  	mkdir $$LANGPATH/images ; \
			  	cd images ; \
			  	for i in *.* ; do \
					if [ -e $$f/$$i ] ; then \
						cp -v $$f/$$i $$LANGPATH/images/ ; \
					else \
						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
					fi ; done ; \
			  	cd .. ; \
			  else \
			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
			  fi ; \
			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).$$f.xml ; mv images_tmp_away images ; \
			fi ; \
		fi ; \
	done 		

clean:
	rm -f *.pdf
	rm -f *.html
	rm -f $(name).*.xml

dist-clean:	clean

=== documentation/debian-edu-etch/Makefile ===
#
# configuration here:
#
url=http://wiki.debian.org/DebianEdu/Documentation/Etch/
name=debian-edu-etch-manual
DEBIAN_EDU_DOC_TITLE="Debian Edu / Skolelinux Etch 3.0 Codename 'Terra' Manual"
path1=DebianEdu/Documentation/Etch
path2='\/DebianEdu\/Documentation\/'
export 
#
# no configuration below 
#
DESTDIR=
DESTPATH = /usr/share/doc
LANGUAGES = `find . -name "$(name).*.po" | sed -e "s/.\/$(name).//" -e "s/.po//"`

all: build

update:
	../scripts/get_manual
	../scripts/update_translations

status:
	@for f in *.po ; do \
		echo -n "$$f: "; \
		LANG=C msgfmt --statistics $$f -o /dev/null ; \
	done
	@cat fixme-status.txt

build:
	# create localized xml files
	-for i in $(name).*.po ; do { \
	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m $(name).xml -p $$i -l $${i%.po}.xml ; \
	} done

	# Ignore errors because the docbook xml is broken
	#
	# build the english html version
	-openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).xml > $(name).en.html
	# Ignore errors because the docbook xml is broken
	#
	# build the other html versions
	-for f in $(LANGUAGES) ; do \
		openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).$$f.xml > $(name).$$f.html ; \
	done
	# add utf8 content-type header to html versions
	for f in $(name).*.html ; do \
		sed -i "s%><TITLE%><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><TITLE%" $$f ; \
	done

install: build
	# en needs to be first
	# FIXME: en is build twice...
	for f in en $(LANGUAGES) ; do \
		export LANGPATH=$(DESTDIR)/debian-edu-doc-$$f/$(DESTPATH)/debian-edu-doc-$$f ; \
		mkdir -p $$LANGPATH ; \
		if [ -e $(name).$$f.html ] ; then \
			cp $(name).$$f.html $$LANGPATH/$(name).html ; \
			if [ "$$f" = "en" ] ; then \
			  mkdir $$LANGPATH/images/ ; \
			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
			  dblatex -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).xml ; \
			else \
			  if [ -d images/$$f ] ; then \
			  	mkdir $$LANGPATH/images ; \
			  	cd images ; \
			  	for i in *.* ; do \
					if [ -e $$f/$$i ] ; then \
						cp -v $$f/$$i $$LANGPATH/images/ ; \
					else \
						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
					fi ; done ; \
			  	cd .. ; \
			  else \
			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
			  fi ; \
			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).$$f.xml ; mv images_tmp_away images ; \
			fi ; \
		fi ; \
	done 		

clean:
	rm -f *.pdf
	rm -f *.html
	rm -f $(name).*.xml

dist-clean:	clean

=== documentation/debian-edu-lenny/Makefile ===
#
# configuration here:
#
url=http://wiki.debian.org/DebianEdu/Documentation/Lenny/
name=debian-edu-lenny-manual
DEBIAN_EDU_DOC_TITLE="Debian Edu / Skolelinux Lenny 5.0.1+edu0~alpha Manual"
path1=DebianEdu/Documentation/Lenny
path2='\/DebianEdu\/Documentation\/'
export 
#
# no configuration below 
#
DESTDIR=
DESTPATH = /usr/share/doc
LANGUAGES = `find . -name "$(name).*.po" | sed -e "s/.\/$(name).//" -e "s/.po//"`

all: build

update:
	../scripts/get_manual
	../scripts/update_translations

status:
	@for f in *.po ; do \
		echo -n "$$f: "; \
		LANG=C msgfmt --statistics $$f -o /dev/null ; \
	done
	@cat fixme-status.txt

build:
	# create localized xml files
	-for i in $(name).*.po ; do { \
	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m $(name).xml -p $$i -l $${i%.po}.xml ; \
	} done

	# Ignore errors because the docbook xml is broken
	#
	# build the english html version
	-openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).xml > $(name).en.html
	# Ignore errors because the docbook xml is broken
	#
	# build the other html versions
	-for f in $(LANGUAGES) ; do \
		openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).$$f.xml > $(name).$$f.html ; \
	done
	# add utf8 content-type header to html versions
	for f in $(name).*.html ; do \
		sed -i "s%><TITLE%><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><TITLE%" $$f ; \
	done

install: build
	# en needs to be first
	# FIXME: en is build twice...
	for f in en $(LANGUAGES) ; do \
		export LANGPATH=$(DESTDIR)/debian-edu-doc-$$f/$(DESTPATH)/debian-edu-doc-$$f ; \
		mkdir -p $$LANGPATH ; \
		if [ -e $(name).$$f.html ] ; then \
			cp $(name).$$f.html $$LANGPATH/$(name).html ; \
			if [ "$$f" = "en" ] ; then \
			  mkdir $$LANGPATH/images/ ; \
			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
			  dblatex -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).xml ; \
			else \
			  if [ -d images/$$f ] ; then \
			  	mkdir $$LANGPATH/images ; \
			  	cd images ; \
			  	for i in *.* ; do \
					if [ -e $$f/$$i ] ; then \
						cp -v $$f/$$i $$LANGPATH/images/ ; \
					else \
						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
					fi ; done ; \
			  	cd .. ; \
			  else \
			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
			  fi ; \
			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).$$f.xml ; mv images_tmp_away images ; \
			fi ; \
		fi ; \
	done 		

clean:
	rm -f *.pdf
	rm -f *.html
	rm -f $(name).*.xml

dist-clean:	clean

=== documentation/rosegarden/Makefile ===
#
# configuration here:
#
url=http://wiki.debian.org/DebianEdu/Documentation/Manuals/Rosegarden/
name=rosegarden-manual
DEBIAN_EDU_DOC_TITLE="Debian Edu / Skolelinux Rosegarden manual"
path1=DebianEdu/Documentation/Manuals/Rosegarden
path2='\/DebianEdu\/Documentation\/Manuals\/'
export 
#
# no configuration below 
#
DESTDIR=
DESTPATH = /usr/share/doc
LANGUAGES = `find . -name "$(name).*.po" | sed -e "s/.\/$(name).//" -e "s/.po//"`

all: build

update:
	../scripts/get_manual
	../scripts/update_translations

status:
	@for f in *.po ; do \
		echo -n "$$f: "; \
		LANG=C msgfmt --statistics $$f -o /dev/null ; \
	done
	@cat fixme-status.txt

build:
	# create localized xml files
	-for i in $(name).*.po ; do { \
	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m $(name).xml -p $$i -l $${i%.po}.xml ; \
	} done

	# Ignore errors because the docbook xml is broken
	#
	# build the english html version
	-openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).xml > $(name).en.html
	# Ignore errors because the docbook xml is broken
	#
	# build the other html versions
	-for f in $(LANGUAGES) ; do \
		openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).$$f.xml > $(name).$$f.html ; \
	done
	# add utf8 content-type header to html versions
	for f in $(name).*.html ; do \
		sed -i "s%><TITLE%><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><TITLE%" $$f ; \
	done

install: build
	# en needs to be first
	# FIXME: en is build twice...
	for f in en $(LANGUAGES) ; do \
		export LANGPATH=$(DESTDIR)/debian-edu-doc-$$f/$(DESTPATH)/debian-edu-doc-$$f ; \
		mkdir -p $$LANGPATH ; \
		if [ -e $(name).$$f.html ] ; then \
			cp $(name).$$f.html $$LANGPATH/$(name).html ; \
			if [ "$$f" = "en" ] ; then \
			  mkdir $$LANGPATH/images/ ; \
			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
			  dblatex -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).xml ; \
			else \
			  if [ -d images/$$f ] ; then \
			  	mkdir $$LANGPATH/images ; \
			  	cd images ; \
			  	for i in *.* ; do \
					if [ -e $$f/$$i ] ; then \
						cp -v $$f/$$i $$LANGPATH/images/ ; \
					else \
						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
					fi ; done ; \
			  	cd .. ; \
			  else \
			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
			  fi ; \
			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).$$f.xml ; mv images_tmp_away images ; \
			fi ; \
		fi ; \
	done 		

clean:
	rm -f *.pdf
	rm -f *.html
	rm -f $(name).*.xml

dist-clean:	clean

=== debian/changelog ===
debian-edu-doc (1.3~20090610~5.0.1+edu0~alpha) unstable; urgency=low

  [ Holger Levsen ]
  * postrm scripts: don't fail if /usr/share/doc/debian-edu-doc cannot be 
    removed because it doesn't exist.

  [ Claudio Carboncini ]
  * Updated Italian translation of the Debian Edu lenny manual.

  [ Alf Tonny Bät ]
  * Updated Norwegian Bokmål translation of the Rosegarden manual.

 -- Holger Levsen <holger@debian.org>  Thu, 11 Jun 2009 13:02:25 +0200

debian-edu-doc (1.3~20090530~5.0.1+edu0~alpha) unstable; urgency=low

  * Adopt get_$document and get_images to deal with changes due to the
    moinmoin upgrade on wiki.debian.org.
  * Factorize get_manual and get_images so that they can be shared upon
    different manuals, configurationn is now only done in the Makefiles.
  * Generate better status about the manuals, to motivate people to write 
    missing documentation bits and to translate.
  * Include both the manuals for Debian Edu Etch and Debian Edu Lenny.
  * Include Audacity manual also written by Alf Tonny Bät.
  * Disable build (and thus shipping) of itil document, as it can only be
    build in etch. (Closes: 458879)
  * Remove dia, imagemagick and lyx build-depends as they were only needed for
    building old and removed documentation.
  * Suppress warning in debian-edu-doc-$CC postrm scripts if 
    /usr/share/doc/debian-edu-doc cannot be removed.
  * Add Debian releasenumber to version string to allow upgrade from the etch
    version to the lenny one (even though this hasn't happened now, it's good
    to have it in place for squeeze), if they are released on the same day. 
    Also useful to easily see which is installed / being worked on in svn.
  * Update README.
  * Install README.$name-manual-translations in
    /usr/share/doc/debian-edu-doc-en/ only.
  * New script, debian/mail_stats_to_list to be run by cron every two weeks.
  * Update debian/copyright to reflect new year and new audacity and
    debian-edu-lenny manuals, as well as the renamings.
  * Update package descriptions to reflect the new contents.

 -- Holger Levsen <holger@debian.org>  Sat, 30 May 2009 21:54:07 +0200

debian-edu-doc (1.2~20090131) terra; urgency=low

  * Create links from /usr/share/doc/debian-edu-$CC to
    /usr/share/doc/debian-edu-doc/$CC/ in the postinst of the language
    specific binary packages to provide a single entry point to the
    documentation when viewed in a webbrowser.
  * Remove those links in the postrm scripts.

 -- Holger Levsen <holger@debian.org>  Sat, 31 Jan 2009 13:13:27 +0100

debian-edu-doc (1.2~20090115) terra; urgency=low

  * release manual:
    - update .xml source from the wiki.
    - update Italian translation thanks to Claudio Carboncini.
    - update Norwegian Bokmal translation thanks to Tore Skogly.
    - updated German translation thanks to Kai J. G. Hatje.
  * rosegarden manual:
    - update .xml source from the wiki.
    - update Norwegian Bokmal translation thanks to Tore Skogly and
      and Alf Tonny Bät. 

 -- Holger Levsen <holger@debian.org>  Sat, 08 Nov 2008 17:20:55 +0000

debian-edu-doc (1.2~20080715) terra; urgency=low

  * Add rosegarden manual by Alf Tonny Bät to debian-edu-doc-en and
    debian-edu-doc-nb.
  * release-manual:
    - update .xml source from the wiki.
    - update Italian translation thanks to Claudio Carboncini.
  * Use http://wiki.debian.org/Proposals/CopyrightFormat for debian/copyright.

 -- Holger Levsen <holger@debian.org>  Sun, 20 Jul 2008 19:06:47 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Build-Depends: debhelper (>= 5) 
-Build-Depends-Indep: docbook-utils, poxml, ldp-docbook-xsl, dblatex, po4a, dia | dia-gnome, imagemagick, lyx
+Build-Depends-Indep: docbook-utils, poxml, ldp-docbook-xsl, dblatex, po4a
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Olsen <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>
 Standards-Version: 3.8.0
@@ -31,8 +31,9 @@
 Priority: optional
 Architecture: all
 Description: English documentation from the Debian Edu project
- The English version of the release manual from the Debian Edu / Skolelinux
- project is included in this package, as well as the rosegarden manual.
+ The English version of the manuals for the Lenny and Etch based releases of 
+ the Debian Edu / Skolelinux project is included in this package, as well as 
+ the rosegarden and audacity manuals.
  .
  Debian Edu is a Debian project to make the best distribution for educational
  purposes. Skolelinux is the name of the Custom Debian Distribution which is
@@ -44,8 +45,8 @@
 Depends: debian-edu-doc-en
 Architecture: all
 Description: German documentation from the Debian Edu project
- The German version of the release manual from the Debian Edu / Skolelinux
- project is included in this package.
+ The German version of the manuals for the Lenny and Etch based releases of 
+ the Debian Edu / Skolelinux project is included in this package.
  .
  Debian Edu is a Debian project to make the best distribution for educational
  purposes. Skolelinux is the name of the Custom Debian Distribution which is
@@ -57,8 +58,8 @@
 Depends: debian-edu-doc-en
 Architecture: all
 Description: Spanish documentation from the Debian Edu project
- The Spanish version of the release manual from the Debian Edu / Skolelinux
- project is included in this package.
+ The Spanish version of the manuals for the Lenny and Etch based releases of 
+ the Debian Edu / Skolelinux project is included in this package.
  .
  Debian Edu is a Debian project to make the best distribution for educational
  purposes. Skolelinux is the name of the Custom Debian Distribution which is
@@ -70,9 +71,9 @@
 Depends: debian-edu-doc-en
 Architecture: all
 Description: Bokmal documentation from the Debian Edu project
- The Bokmal version of the release manual from the Debian Edu / Skolelinux
- project is included in this package, as well as the ITIL documentation and the
- rosegarden manual.
+ The Bokmal version of the manuals for the Lenny and Etch based releases of
+ the Debian Edu / Skolelinux project is included in this package, as well as
+ the rosegarden manual.
  .
  Debian Edu is a Debian project to make the best distribution for educational
  purposes. Skolelinux is the name of the Custom Debian Distribution which is
@@ -84,8 +85,8 @@
 Depends: debian-edu-doc-en
 Architecture: all
 Description: Italian documentation from the Debian Edu project
- The Italian version of the release manual from the Debian Edu / Skolelinux
- project is included in this package.
+ The Italian version of the manuals for the Lenny and Etch based releases of
+ the Debian Edu / Skolelinux project is included in this package.
  .
  Debian Edu is a Debian project to make the best distribution for educational
  purposes. Skolelinux is the name of the Custom Debian Distribution which is
@@ -97,8 +98,8 @@
 Depends: debian-edu-doc-en
 Architecture: all
 Description: French documentation from the Debian Edu project
- The French version of the release manual from the Debian Edu / Skolelinux
- project is included in this package.
+ The French version of the manuals for the Lenny and Etch based releases of
+ the Debian Edu / Skolelinux project is included in this package.
  .
  Debian Edu is a Debian project to make the best distribution for educational
  purposes. Skolelinux is the name of the Custom Debian Distribution which is
